import { BaseProvider } from '#templates/base/provider';
import { EntityChangeLogsDefault } from '#models/EntityChangeLogsDefault';

export class EntityChangeLogsDefaultProvider extends BaseProvider<EntityChangeLogsDefault> {
	public static instance: EntityChangeLogsDefaultProvider;

	public static getInstance(): EntityChangeLogsDefaultProvider {
		EntityChangeLogsDefaultProvider.instance ??= new EntityChangeLogsDefaultProvider();
		return EntityChangeLogsDefaultProvider.instance;
	}

	public static get model() {
		return EntityChangeLogsDefault;
	}

	constructor() {
		super('EntityChangeLogsDefault');
	}
}
